package com.chenyang.nse.bussiness.entity.orm.table.core.project;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_PROJECT_INFO"
)
public class TCoreProjectInfo extends TBaseEntity {
   private static final long serialVersionUID = 1L;
   private String projectname;
   private Date createtime;
   private Date updatetime;
   private String progress;
   private String realprojectname;

   public String getRealprojectname() {
      return this.realprojectname;
   }

   public void setRealprojectname(String realprojectname) {
      this.realprojectname = realprojectname;
   }

   public String getProjectname() {
      return this.projectname;
   }

   public void setProjectname(String projectname) {
      this.projectname = projectname;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public String getProgress() {
      return this.progress;
   }

   public void setProgress(String progress) {
      this.progress = progress;
   }

   public String toString() {
      return "TCoreProjectInfo [projectname=" + this.projectname + ", createtime=" + this.createtime + ", updatetime=" + this.updatetime + ", progress=" + this.progress + ", realprojectname=" + this.realprojectname + "]";
   }

   public TCoreProjectInfo(String projectname, Date createtime, Date updatetime, String progress) {
      this.projectname = projectname;
      this.createtime = createtime;
      this.updatetime = updatetime;
      this.progress = progress;
   }

   public TCoreProjectInfo() {
   }
}
